edu.whs.spin2018.baoapp.views.menues

## Interface SpieleinstellungenContract.Presenter

- All Superinterfaces:
    BasePresenter<SpieleinstellungenRemoteDataSource>, SpieleinstellungenEventListener
  All Known Implementing Classes:
    SpieleinstellungenPresenter
  Enclosing interface:
    SpieleinstellungenContract

      public static interface SpieleinstellungenContract.Presenter
      extends BasePresenter<SpieleinstellungenRemoteDataSource>, SpieleinstellungenEventListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sendeIstBereit()` Sendet dem Gegner, ob der Spieler bereit ist oder nicht
    `void` | `sendeMinutenauswahl(int minutenIndex)` Sendet den vom Spieler ausgewaehlten MinutenIndex an den Gegner.
    `void` | `sendeSekundenauswahl(int sekundenIndex)` Sendet den vom Spieler ausgewaehlten SekundenIndex an den Gegner.
    `void` | `sendeZeittyp(java.lang.String zeitTyp)` Sendet den vom Spieler ausgewaehlten Zeittyp an den Gegner.
    `void` | `verlasseSpieleinstellungen()` verlaesst die Spieleinstellungen.

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.presenter.BasePresenter

      `setzeServiceInteractor, stop`

    - ### Methods inherited from interface edu.whs.spin2018.baoapp.model.remote.spieleinstellungen.SpieleinstellungenEventListener

      `onGegnerAendertMinuten, onGegnerAendertSekunden, onGegnerAendertZeitTyp, onGegnerIstBereit, onGegnerVerlaesstRaum`

- - ### Method Detail

    - #### sendeZeittyp

          void sendeZeittyp(java.lang.String zeitTyp)

      Sendet den vom Spieler ausgewaehlten Zeittyp an den Gegner.
      Parameters:
        `zeitTyp` - - ausgewaehlter Zeittyp

    - #### sendeSekundenauswahl

          void sendeSekundenauswahl(int sekundenIndex)

      Sendet den vom Spieler ausgewaehlten SekundenIndex an den Gegner.
      Parameters:
        `sekundenIndex` - - ausgewaehlter SekundenIndex

    - #### sendeMinutenauswahl

          void sendeMinutenauswahl(int minutenIndex)

      Sendet den vom Spieler ausgewaehlten MinutenIndex an den Gegner.
      Parameters:
        `minutenIndex` - - ausgewaehler MinutenIndex

    - #### sendeIstBereit

          void sendeIstBereit()

      Sendet dem Gegner, ob der Spieler bereit ist oder nicht

    - #### verlasseSpieleinstellungen

          void verlasseSpieleinstellungen()

      verlaesst die Spieleinstellungen. Sendet dem Gegner, dass der Raum verlassen wurde.